Subject: Re: bug#21409: 24.5; Wrong syntactic information for two line statement in an arglist

From: Gulshan Singh <[email-masked]>
Date: Sat, 9 Apr 2022 14:43:32 -0700

Hi Alan, thanks for the patch! I've been very busy, but I just got
around to applying it and testing it out.

> I've hacked up the following patch, which introduces the new Line-Up
> function c-lineup-arglist-+.  To use it (temporarily) do C-c C-o RET on
> the .baz() line, and change the setting for arglist-cont-nonempty from
>
>     (c-lineup-gcc-asm-reg c-lineup-arglist)
>
> to
>
>     (c-lineup-gcc-asm-reg c-lineup-arglist-+ c-lineup-arglist)

I think you meant `(c-lineup-gcc-asm-reg c-lineup-argcont-+
c-lineup-arglist)` (or you meant to define the function name as
`c-lineup-arglist-+` instead of `c-lineup-argcont-+`, not sure).

In any case, I tested it and it works great! Is this patch something
that could be merged upstream?